//
// Created by Иван_Архипов on 24.11.2017.
//

#ifndef LOTRO_DAT_LIBRARY_OGGSUBFILE_H
#define LOTRO_DAT_LIBRARY_OGGSUBFILE_H

#include "../SubFile.h"

namespace LOTRO_DAT {
    class OggSubFile : public SubFile {
    public:
        OggSubFile() = delete;
        explicit OggSubFile(const OggSubFile &other) = delete;
        OggSubFile &operator =(const OggSubFile &other) = delete;

        explicit OggSubFile(SubFile preinit_file);

        FILE_TYPE FileType() const override;
        std::string Extension() const override;

        SubfileData PrepareForExport(const BinaryData &file_data) override;

        BinaryData MakeForImport(const BinaryData &old_data, const SubfileData &data) override;
    };
};

#endif //LOTRO_DAT_LIBRARY_OGGSUBFILE_H
